package awn

type AmbientWeatherUpdate struct {
	PassKey        string  `json:"PASSKEY,omitempty" schema:"PASSKEY"`
	StationType    string  `json:"stationtype,omitempty" schema:"stationtype"`
	DateUTC        string  `json:"dateutc,omitempty" schema:"dateutc"`
	TempF          float32 `json:"tempf,omitempty" schema:"tempf"`
	Humidity       int     `json:"humidity,omitempty" schema:"humidity"`
	WindSpeedMPH   float32 `json:"windspeedmph,omitempty" schema:"windspeedmph"`
	WindGustMPH    float32 `json:"windgustmph,omitempty" schema:"windgustmph"`
	MaxDailyGust   float32 `json:"maxdailygust,omitempty" schema:"maxdailygust"`
	WindDir        int     `json:"winddir,omitempty" schema:"winddir"`
	WindDirAVG10m  int     `json:"winddir_avg10m,omitempty" schema:"winddir_avg10m"`
	UV             int     `json:"uv,omitempty" schema:"uv"`
	SolarRadiation float32 `json:"solarradiation,omitempty" schema:"solarradiation"`
	HourlyRainIn   float32 `json:"hourlyrainin,omitempty" schema:"hourlyrainin"`
	EventRainIn    float32 `json:"eventrainin,omitempty" schema:"eventrainin"`
	DailyRainIn    float32 `json:"dailyrainin,omitempty" schema:"dailyrainin"`
	WeeklyRainIn   float32 `json:"weeklyrainin,omitempty" schema:"weeklyrainin"`
	MonthlyRainIn  float32 `json:"monthlyrainin,omitempty" schema:"monthlyrainin"`
	YearlyRainIn   float32 `json:"yearlyrainin,omitempty" schema:"yearlyrainin"`
	TotalRainIn    float32 `json:"totalrainin,omitempty" schema:"totalrainin"`
	BattOut        int     `json:"battout,omitempty" schema:"battout"`
	BattRain       int     `json:"battrain,omitempty" schema:"battrain"`
	TempInF        float32 `json:"tempinf,omitempty" schema:"tempinf"`
	HumidityIn     int     `json:"humidityin,omitempty" schema:"humidityin"`
	BaromRelIn     float32 `json:"baromrelin,omitempty" schema:"baromrelin"`
	BaromAbsIn     float32 `json:"baromabsin,omitempty" schema:"baromabsin"`
	BattIn         int     `json:"battin,omitempty" schema:"battin"`
}
