package wunderground

type WundergroundUpdate struct {
	ID             string  `json:"ID,omitempty" schema:"ID"`
	Password       string  `json:"PASSWORD,omitempty" schema:"PASSWORD"`
	UV             int     `json:"UV,omitempty" schema:"UV"`
	Action         string  `json:"action,omitempty" schema:"action"`
	BaromIn        float32 `json:"baromin,omitempty" schema:"baromin"`
	DailyRainIn    float32 `json:"dailyrainin,omitempty" schema:"dailyrainin"`
	DateUTC        string  `json:"dateutc,omitempty" schema:"dateutc"`
	DewPtF         float32 `json:"dewptf,omitempty" schema:"dewptf"`
	Humidity       int     `json:"humidity,omitempty" schema:"humidity"`
	IndoorHumidity int     `json:"indoorhumidity,omitempty" schema:"indoorhumidity"`
	IndoorTempF    float32 `json:"indoortempf,omitempty" schema:"indoortempf"`
	LowBatt        bool    `json:"lowbatt,omitempty" schema:"lowbatt"`
	MonthlyRainIn  float32 `json:"monthlyrainin,omitempty" schema:"monthlyrainin"`
	RainIn         float32 `json:"rainin,omitempty" schema:"rainin"`
	Realtime       bool    `json:"realtime,omitempty" schema:"realtime"`
	Rtfreq         int     `json:"rtfreq,omitempty" schema:"rtfreq"`
	SoftwareType   string  `json:"softwaretype,omitempty" schema:"softwaretype"`
	SolarRadiation float32 `json:"solarradiation,omitempty" schema:"solarradiation"`
	Tempf          float32 `json:"tempf,omitempty" schema:"tempf"`
	WeeklyRainIn   float32 `json:"weeklyrainin,omitempty" schema:"weeklyrainin"`
	WindChillF     float32 `json:"windchillf,omitempty" schema:"windchillf"`
	WindDir        int     `json:"winddir,omitempty" schema:"winddir"`
	WindGustMPH    float32 `json:"windgustmph,omitempty" schema:"windgustmph"`
	WindSpeedMPH   float32 `json:"windspeedmph,omitempty" schema:"windspeedmph"`
	YearlyRainIn   float32 `json:"yearlyrainin,omitempty" schema:"yearlyrainin"`
}
